## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanElemElementAllocator Class Reference

`#include <XalanElemElementAllocator.hpp>`

Collaboration diagram for XalanElemElementAllocator:

List of all members.

## Public Types

- typedef ElemElement data_type
- typedef ArenaAllocator<data_type> ArenaAllocatorType
- typedef ArenaAllocatorType::size_type size_type

## Public Methods

- XalanElemElementAllocator (size_type theBlockCount)
    Construct an instance that will allocate blocks of the specified size. More...
- ~XalanElemElementAllocator ()
- data_type* create ( StylesheetConstructionContext& constructionContext, Stylesheet& stylesheetTree, const AttributeListType& atts, int lineNumber, int columnNumber)
    Construct an instance. More...
- bool ownsObject (const data_type* theObject)
    Determine if an object is owned by the allocator...
- void reset ()
    Delete all objects from the allocator.
- size_type getBlockCount () const
    Get the number of ArenaBlocks currently allocated. More...
- size_type getBlockSize () const
    Get size of an ArenaBlock, that is, the number of objects in each block. More...

## Member Typedef Documentation

typedef ArenaAllocator<data_type> XalanElemElementAllocator::ArenaAllocatorType

typedef ElemElement XalanElemElementAllocator::data_type

typedef ArenaAllocatorType::size_type XalanElemElementAllocator::size_type

## Constructor & Destructor Documentation

XalanElemElementAllocator::XalanElemElementAllocator ( | size_type theBlockCount )

Construct an instance that will allocate blocks of the specified size.

Parameters:

  theBlockSize | The block size.

XalanElemElementAllocator::~XalanElemElementAllocator ( | )

## Member Function Documentation

data_type * XalanElemElementAllocator::create ( | StylesheetConstructionContext & constructionContext,
| Stylesheet & stylesheetTree,
| const AttributeListType & atts,
| int lineNumber,
| int columnNumber )

Construct an instance.

Parameters:

  constructionContext | context for construction of object
  stylesheetTree | stylesheet containing element
  atts | list of attributes for element
  lineNumber | line number in document
  columnNumber | column number in document

Returns:
  A pointer to the new instance.

size_type XalanElemElementAllocator::getBlockCount ( | ) const`[]`

Get the number of ArenaBlocks currently allocated.

Returns:
  The number of blocks.

size_type XalanElemElementAllocator::getBlockSize ( | ) const`[]`

Get size of an ArenaBlock, that is, the number of objects in each block.

Returns:
  The size of the block

bool XalanElemElementAllocator::ownsObject ( | const data_type * theObject )`[]`

Determine if an object is owned by the allocator...

void XalanElemElementAllocator::reset ( | )`[]`

Delete all objects from the allocator.

The documentation for this class was generated from the following file:

- XalanElemElementAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.